View Issue Details

IDProjectCategoryView StatusLast Update
0000024VANTED 2.6.4[VANTED] Corepublic2017-11-19 20:05
Reportertobias.nusserAssigned Todimitar.garkov 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version 
Target VersionFixed in Version[VANTED] 2.6.4 
Summary0000024: Remove Connecting Nodes throws NullPointerException
Description

When trying to use the Remove Connecting Nodes function on a random graph with one node selected, Vanted throws a NullPointerException

Steps To Reproduce

File -> New -> Random Network
Select one Node -> Nodes -> Remove Connecting Nodes -> OK

Additional Information

java.lang.NullPointerException
at de.ipk_gatersleben.ag_nw.graffiti.plugins.misc.invert_selection.RemoveSelectedNodesPreserveEdgesAlgorithm.removeNodes(RemoveSelectedNodesPreserveEdgesAlgorithm.java:300)
at de.ipk_gatersleben.ag_nw.graffiti.plugins.misc.invert_selection.RemoveSelectedNodesPreserveEdgesAlgorithm.removeNodesPreserveEdges(RemoveSelectedNodesPreserveEdgesAlgorithm.java:164)
at de.ipk_gatersleben.ag_nw.graffiti.plugins.misc.invert_selection.RemoveSelectedNodesPreserveEdgesAlgorithm.execute(RemoveSelectedNodesPreserveEdgesAlgorithm.java:111)
at org.graffiti.editor.GravistoService.multiGraphExecution(GravistoService.java:684)
at org.graffiti.editor.GravistoService.runAlgorithm(GravistoService.java:556)
at org.graffiti.editor.GravistoService.runAlgorithm(GravistoService.java:478)
at org.graffiti.editor.actions.RunAlgorithm.actionPerformed(RunAlgorithm.java:123)
at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
at javax.swing.AbstractButton.doClick(Unknown Source)
at javax.swing.plaf.basic.BasicMenuItemUI.doClick(Unknown Source)
at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(Unknown Source)
at java.awt.Component.processMouseEvent(Unknown Source)
at javax.swing.JComponent.processMouseEvent(Unknown Source)
at java.awt.Component.processEvent(Unknown Source)
at java.awt.Container.processEvent(Unknown Source)
at java.awt.Component.dispatchEventImpl(Unknown Source)
at java.awt.Container.dispatchEventImpl(Unknown Source)
at java.awt.Component.dispatchEvent(Unknown Source)
at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
at java.awt.Container.dispatchEventImpl(Unknown Source)
at java.awt.Window.dispatchEventImpl(Unknown Source)
at java.awt.Component.dispatchEvent(Unknown Source)
at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
at java.awt.EventQueue.access$500(Unknown Source)
at java.awt.EventQueue$3.run(Unknown Source)
at java.awt.EventQueue$3.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
at java.awt.EventQueue$4.run(Unknown Source)
at java.awt.EventQueue$4.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
at java.awt.EventQueue.dispatchEvent(Unknown Source)
at org.graffiti.editor.GlobalHotkeyManager.dispatchEvent(GlobalHotkeyManager.java:65)
at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.run(Unknown Source)

Tagsnullpointerexception
Attach Tags
Traceability Screenshot & Stacktrace

Activities

tobias.nusser

tobias.nusser

2017-06-28 17:16

updater  

removenodes1.png (1,144,771 bytes)
removenodes2.png (1,367,874 bytes)
removenodes3.png (1,013,334 bytes)
dimitar.garkov

dimitar.garkov

2017-11-19 20:05

developer   ~0000429

Fixed with commit f8278b5.

Issue History

Date Modified Username Field Change
2017-06-28 17:16 tobias.nusser New Issue
2017-06-28 17:16 tobias.nusser File Added: removenodes1.png
2017-06-28 17:16 tobias.nusser File Added: removenodes2.png
2017-06-28 17:16 tobias.nusser File Added: removenodes3.png
2017-06-28 17:16 tobias.nusser Tag Attached: nullpointerexception
2017-09-16 16:19 guest Note Added: 0000429
2017-09-18 11:35 administrator Note Deleted: 0000429
2017-11-19 20:05 dimitar.garkov Assigned To => dimitar.garkov
2017-11-19 20:05 dimitar.garkov Status new => resolved
2017-11-19 20:05 dimitar.garkov Resolution open => fixed
2017-11-19 20:05 dimitar.garkov Fixed in Version => 2.6.4
2017-11-19 20:05 dimitar.garkov Note Added: 0000429